const input = require("fs").readFileSync(0,"utf8").toString().split("\n");
const [n, x] = input[0].split(" ").map(Number);
const arr = input[1].split(" ").map(Number);
let res = "";
for (let i=0; i<n; i++){
    if (arr[i]<x) res += arr[i] + " ";
}
console.log(res);